WyrdOS
Open App

Evidence

API endpoints for evidence

List evidence for an ontology entity

GET /api/v1/evidence

Parameters

NameInTypeRequiredDescription
entityTypequeryYes
entityIdquerystringYes
organisationIdquerystringNo
limitqueryintegerNo

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/evidence?entityType=<entityType>&entityId=<entityId>&organisationId=<organisationId>&limit=<limit>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [
    {
      "_id": "item_abc123",
      "organisationId": "org_abc123",
      "entityType": "principle",
      "entityId": "item_abc123",
      "type": "artifact",
      "title": "Launch readiness",
      "summary": "Track onboarding work for the beta launch.",
      "sourceType": "url",
      "sourceName": "Launch readiness",
      "sourceLabel": "Launch plan",
      "sourceUrl": "https://example.com/launch-plan",
      "observedAt": 1782828000000,
      "confidence": "medium",
      "createdBy": "Launch readiness",
      "createdAt": 1782828000000,
      "updatedAt": 1782828000000
    }
  ]
}

Other statuses: 400, 401, 403.

Response body type

{ data: Evidence[] }


Create evidence for an ontology entity

POST /api/v1/evidence

Example request

curl -X POST \
"https://<your-wyrdos-api-host>/api/v1/evidence" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"entityType":"principle","entityId":"item_abc123","type":"artifact","title":"Launch readiness","summary":"Track onboarding work for the beta launch.","sourceType":"url","sourceName":"Launch readiness","sourceLabel":"Launch plan","sourceUrl":"https://example.com/launch-plan","observedAt":1782828000000,"confidence":"medium"}'

Example response

Status: 200

{
  "data": {
    "id": "item_abc123"
  }
}

Other statuses: 400, 401, 403.

Response body type

{ data: object }


Update evidence

PATCH /api/v1/evidence/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes
organisationIdquerystringNo

Example request

curl -X PATCH \
"https://<your-wyrdos-api-host>/api/v1/evidence/<id>?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"type":"artifact","title":"Launch readiness","summary":"Track onboarding work for the beta launch.","sourceType":"url","sourceName":"Launch readiness","sourceLabel":"Launch plan","sourceUrl":"https://example.com/launch-plan","observedAt":1782828000000,"confidence":"medium"}'

Other statuses: 400, 401, 403.

Response body type


Delete evidence

DELETE /api/v1/evidence/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes
organisationIdquerystringNo

Example request

curl -X DELETE \
"https://<your-wyrdos-api-host>/api/v1/evidence/<id>?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Other statuses: 401, 403.

Response body type